Ultrasn0w 1.2.5 for iOS 5.0.1 compatibility available now

The other day, we reported that MuscleNerd had announced a new version of Ultrasn0w 1.2.5 which would fix compatibility issues with iOS 5.0.1. Yesterday, we told you that the iPhone-Dev team repo had gone down which is why this new version of was not on Monday as planned. Today, it seems that the infrastructure has been completed and now Ultrasn0w 1.2.5 is available in . Once again, I must stress that this new version of Ultrasn0w DOES NOT add any new baseband compatibility. It only adds 5.0.1 support for basebands which are already unlockable:

04.26.08 – 05.11.07 – 05.12.01 – 05.13.04 – 06.15.00 – 01.59.00

  • Mohammed Khalil A Bhamla

    I have Iphone 3GS, Firmware IOS 5.0.1 Jailbroken, installing Ultrasn0w 1.2.5 DOESN’T UNLOCK the Iphone ……………….. Why? What to do now? Does Ultrasn0w 1.2.5 have bugs? Please Help

    • http://iphoneblogr.com JaeM1llz

      Ultrasn0w works fine. If you installed it and you aren’t unlocked it most likely means you do not have an unlockable baseband.

      • Mohammed Khalil A Bhamla

        Are these the unlock-able basebands 04.26.08 – 05.11.07 – 05.12.01 – 05.13.04 – 06.15.00 – 01.59.00, then let me inform that I have 06.15.00 baseband on 3GS IOS 5.0.1, and I am not the only one who is having this problem, but there are reports from Canada, South African and Pakistan also, therefore issue exists elsewhere also needs to be looked into ……..

    • Vemanamanu99

      When do do a custom firware from Snowbreeze download the ultrasnow fixer and mobile substrate and add it the snow breeze repos. After OS is installed restart iphone and install ultrasnow1.2.5 and it is unlocked. I have done for 5 iphones till now but for 3gs devices on old boot rom

  • Mohammed Khalil A Bhamla

    I have 06.15.00 baseband on 3GS IOS 5.0.1, and I am not the only one who is facing this problem, but there are reports from Canada, South African and Pakistan also, therefore issue exists elsewhere also needs to be looked into …….. In the network selection (manually) it pops up “Unable to load network list” what could be the problem??????

    • http://iphoneblogr.com JaeM1llz

      There are no problems with unlocking on 06.15.00, in fact I have just done one today myself so I know for a fact there are no issues. If you are having issues it is because of something else. Maybe you restored a factory iOS5 firmware and corrupted your baseband or maybe your carrier does not support the iPhone, but Ultrasn0w is not the reason you are experiencing issues.

    • Vemanamanu99

       When do do a custom firware from Snowbreeze download the ultrasnow fixer
      and mobile substrate and add it the snow breeze repos. After OS is
      installed restart iphone and install ultrasnow1.2.5 and it is unlocked. I
      have done for 5 iphones till now but for 3gs devices on old boot rom

  • Jordan

    I’ve installed Cydia on a few phones now running 5.0.1, but when I go to install ultrasn0w, it says ‘Dev Team’ and has nothing inside of the source to install… I’ve read about it being down, but then you guys said it’s back up. Is there any extra step I need to take?

    • http://iphoneblogr.com JaeM1llz

      Nope, just go to the search tab, type in ultrasn0w and then download and install 1.2.5.

  • PsyDrug

    ultrasn0w on 06.15.00 not working

    • http://iphoneblogr.com JaeM1llz

      It works fine as long as you restored a custom firmware to get to 5.0.1. Otherwise you corrupted your baseband and you will have to reinstall it.

      • Ismail Abedin

        I have the same problem. BB is 06.15.00. I tried to reinstall BB and it worked with iOS 4.1 but not with 5.0.1. What do u mean by factory iOS?

        • http://iphoneblogr.com JaeM1llz

          Any non-custom firmware.

  • Edgar

    como creo un firmware personalizado para llegara 5>0.1

  • Pingback: Ultrasn0w 1.2.5 Tutorial Unlock iPhone on iOS5 | iPhoneBlogr.com

  • kaon

    hi guys, any news about ultrasn0w for 4Gs (BB)1.011 ?